Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034029
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementtrivialalways2016-09-20 11:502016-09-26 15:44
ReporterlorenzofidalgoView Statuspublic 
Assigned Tolorenzofidalgo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision88af3d95ba62
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tojorge-garcia
Web browserGoogle Chrome, Mozilla Firefox
ModulesCore
Regression levelAutomated tests
Regression date
Regression introduced in releasemain
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/705131639ec8 [^]
Triggers an Emergency PackNo
Summary

0034029: New line (\n) is shown at the end of certain warning message. Now it is shown as literal

DescriptionA new line was added by mistake in AD_MESSAGE.xml: "<!--47D88149F6D2473D892D25F4A86CA161--> <MSGTEXT><![CDATA[The default financial account %s and the default payment method %s are inactive. Please, consider to activate them before continuing.
-]]></MSGTEXT>"
Now, it is shown as literal at the end of the message. In addition to that, this issue is breaking some automated tests.
Steps To Reproduce0-Login ERP as QAAdmin.
1-Go to "Business Partner" window and select "Customer B". Go to "Customer" tab and set the following values:
--
"Payment Method": Acc-8 (Transactions)
"Financial Account": Spain Bank
--
Save.
2-Go to "Financial Account" window. Watch "Spain Bank" in form view and set "Active" as false. Save.
3-Go to "Payment Method" tab and set "Active" as false. Besides, set "Payment In Allowed" as true and "Receive Payments in Multiple Currencies" as true.
4-Go to "Payment In" window, create a new record in form view and, in "Received From" field, choose "Customer B". DEFECT: The warning message is shown and "\n" is visible at the end of the message.
Proposed SolutionRemove the new line wrongly added in AD_MESSAGE.xml
TagsNo tags attached.
Attached Filespng file icon NewLineIsShownAtTheEndOfTheWarningMessage.png [^] (132,205 bytes) 2016-09-20 11:50

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0090120)
hgbot (developer)
2016-09-20 17:30

Repository: erp/devel/pi
Changeset: 88af3d95ba628087ee1b636d7b5ea0e1e51e0585
Author: Lorenzo Fidalgo <lorenzo.fidalgo <at> openbravo.com>
Date: Tue Sep 20 12:53:31 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/88af3d95ba628087ee1b636d7b5ea0e1e51e0585 [^]

Fixes issue 34029: New line wrongly added in a warning message has been removed

The following message was wrongly closed. The closing tags was written after a new line:
<!--47D88149F6D2473D892D25F4A86CA161--> <MSGTEXT><![CDATA[The default financial account %s and the default payment method %s are inactive. Please, consider to activate them before continuing.
-]]></MSGTEXT>

That wrongly added \n has been removed.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0090124)
hudsonbot (developer)
2016-09-20 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c5edc648de35 [^]
Maturity status: Test
(0090132)
jorge-garcia (developer)
2016-09-21 09:55

Reviewed and closed
(0090269)
hgbot (developer)
2016-09-26 15:44

Repository: tools/automation/int
Changeset: b5e5066402ef2703ef587920ad7140efb1609c0f
Author: Lorenzo Fidalgo <lorenzo.fidalgo <at> openbravo.com>
Date: Tue Sep 20 13:03:30 2016 +0200
URL: http://code.openbravo.com/tools/automation/int/rev/b5e5066402ef2703ef587920ad7140efb1609c0f [^]

Related to issue 34029. New line added to match \n after certain warning message has been removed.

---
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/AddPaymentProcess.java
---

- Issue History
Date Modified Username Field Change
2016-09-20 11:50 lorenzofidalgo New Issue
2016-09-20 11:50 lorenzofidalgo Assigned To => lorenzofidalgo
2016-09-20 11:50 lorenzofidalgo File Added: NewLineIsShownAtTheEndOfTheWarningMessage.png
2016-09-20 11:50 lorenzofidalgo Web browser => Google Chrome, Mozilla Firefox
2016-09-20 11:50 lorenzofidalgo Modules => Core
2016-09-20 11:50 lorenzofidalgo Triggers an Emergency Pack => No
2016-09-20 11:53 lorenzofidalgo Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2016-09-20 11:53 lorenzofidalgo Steps to Reproduce Updated View Revisions
2016-09-20 12:32 lorenzofidalgo Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2016-09-20 12:32 lorenzofidalgo Regression level => Automated tests
2016-09-20 12:32 lorenzofidalgo Regression introduced in release => main
2016-09-20 12:32 lorenzofidalgo Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/705131639ec8 [^]
2016-09-20 12:32 lorenzofidalgo Priority normal => immediate
2016-09-20 17:30 hgbot Checkin
2016-09-20 17:30 hgbot Note Added: 0090120
2016-09-20 17:30 hgbot Status new => resolved
2016-09-20 17:30 hgbot Resolution open => fixed
2016-09-20 17:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/88af3d95ba628087ee1b636d7b5ea0e1e51e0585 [^]
2016-09-20 17:38 lorenzofidalgo Review Assigned To => jorge-garcia
2016-09-20 17:38 lorenzofidalgo Web browser Google Chrome, Mozilla Firefox => Google Chrome, Mozilla Firefox
2016-09-20 22:23 hudsonbot Checkin
2016-09-20 22:23 hudsonbot Note Added: 0090124
2016-09-21 09:55 jorge-garcia Note Added: 0090132
2016-09-21 09:55 jorge-garcia Status resolved => closed
2016-09-26 15:44 hgbot Checkin
2016-09-26 15:44 hgbot Note Added: 0090269


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker